Skip to Content
List Subview Breakdown Values
get

Returns the metric value broken down by subview attributes, with each row's percentage of the total. By default, groups by all of the subview type's attributes (for example, every rendition attribute for rendition subviews) — use group_by[] to select a subset.

Request path & query params
METRIC_ID
string
Possible values: "playing_time"

ID of the metric to compute over subviews. Additional metrics may be added over time.

SUBVIEW_TYPE
string
Possible values: "rendition""playback_mode"

The subview type to query.

timeframe[]
array

Timeframe window to limit results by. Must be provided as an array query string parameter (e.g. timeframe[]=).

Accepted formats are...

  • array of epoch timestamps e.g. timeframe[]=1498867200&timeframe[]=1498953600
  • duration string e.g. timeframe[]=24:hours or timeframe[]=7:days
filters[]
array

Filter results using key:value pairs. Must be provided as an array query string parameter.

The set of filterable dimensions is distinct from the main Data API's dimensions, and depends on the subview type — see the List Subview Dimensions endpoint for the valid names.

  • filters[]=dimension:value - Include rows where dimension equals value
  • filters[]=!dimension:value - Exclude rows where dimension equals value
  • filters[]=dimension:__empty__ - Include rows where the dimension has no value

Example: filters[]=country:US

group_by[]
array

Subview attributes to group the results by. Must be provided as an array query string parameter. Currently only supported for the rendition subview type, as any combination of the 6 enum values below.

If omitted, defaults to grouping by every attribute available for the subview type.

Possible values: "video_source_bitrate""video_source_width""video_source_height""video_source_fps""video_source_codec""video_source_rendition_name"
limit
integer
(default: 25, max: 100)

Number of breakdown rows to include in the response.

page
integer
(default: 1)

Offset by this many pages, of the size of limit

get
200
https://api.mux.com/data/v1/subview-metrics/{METRIC_ID}/{SUBVIEW_TYPE}/breakdown
Response
(application/json)
{
  "data": [
    {
      "breakdown_value": "18.5Mb / 3840w / 2160h / 60fps / HEVC / 4k",
      "metric_value": 56200000
    },
    {
      "breakdown_value": "12Mb / 2560w / 1440h / 60fps / HEVC / 2k",
      "metric_value": 18200000
    }
  ],
  "meta": {
    "subview_type": "rendition",
    "metric": "playing_time",
    "unit": "ms",
    "group_by": [
      "video_source_bitrate",
      "video_source_width",
      "video_source_height",
      "video_source_fps",
      "video_source_codec",
      "video_source_rendition_name"
    ]
  },
  "total_row_count": 2,
  "timeframe": [
    1617235200,
    1617321600
  ]
}